<?php

	//Clase para gestionar la conexión con la BD
	class cBD
	{
		var $enlace;
		
		function cBD()
		{
			$this->enlace = pg_connect("host=localhost port=5432 dbname=tfc user=postgres password=tfc options='--client_encoding=UTF8'")
				or die("No se ha podido conectar a la Base de Datos: " . pg_last_error($this->enlace));
		}
		
		function consultar($sql)
		{
			$resultado = pg_query($this->enlace, $sql)
				or die("Fallo en la consulta: " . pg_last_error($this->enlace));
			return $resultado;
		}
		
		function avanzar($resultado)
		{
			$linea = pg_fetch_array($resultado);
			return $linea;
		}

		function liberar($resultado)
		{
			pg_free_result($resultado);
		}
		
		function cerrar()
		{
			pg_close($this->enlace);
		}
	}
?>